/*
 *  cylinder.cpp
 *
 *  Author: M. Rezaz Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#include "cylinder.h"

cylinder::cylinder()
{
    height = 1.0;
    base.set_radius(1.0);
}

cylinder::cylinder(double _radius, double _height)
{
    height = _height;
    base.set_radius(_radius);
}

double cylinder::get_height()
{
    return height;
}

double cylinder::get_radius()
{
    return base.get_radius();
}

void cylinder::set_height(double _height)
{
    height = _height;
}

void cylinder::set_radius(double _radius)
{
    base.set_radius(_radius);
}

double cylinder::volume()
{
    return base.area()*height;
}